Syntax Error bei Plug In-Manager

Hallo, zusammen! Nachdem ich bei domain factory das Entpacken von zip-Dateien eingerichtet habe (in der php.ini) konnte ich erst auf den Plug In-Manager im Backend zugreifen und er zeigte alles wie gewohnt an. Einen Tag später zeigte der Plug In-Manager folgende Meldung, seither ist bei “Meine Erweiterungen” nichts mehr eingetragen: You’re trying to decode an invalid JSON String: Fatal error: Uncaught exception ‘Zend_Json_Exception’ with message ‘Decoding failed: Syntax error’ in /kunden/385542_04157/shop/engine/Library/Zend/Json.php:93 Stack trace: #0 /kunden/385542_04157/shop/engine/Library/Enlight/Controller/Plugins/JsonRequest/Bootstrap.php(105): Zend_Json::decode(’[{“property”:…’) #1 [internal function]: Enlight_Controller_Plugins_JsonRequest_Bootstrap->onPreDispatch(Object(Enlight_Event_EventArgs)) #2 /kunden/385542_04157/shop/engine/Library/Enlight/Event/Handler/Default.php(91): call_user_func(Array, Object(Enlight_Event_EventArgs)) #3 /kunden/385542_04157/shop/engine/Library/Enlight/Event/EventManager.php(156): Enlight_Event_Handler_Default->execute(Object(Enlight_Event_EventArgs)) #4 /kunden/385542_04157/shop/engine/Library/Enlight/Controller/Action.php(122): Enlight_Event_EventManager->notify(‘Enlight_Control…’, Array) #5 /kunden/385542_04157/shop/engine/Library/Enlight/Controller/Dispatcher/Default.php(521): Enlight_Controller_Action->dispatch(‘errorAction’) #6 /kunden/385542_0415 in /kunden/385542_04157/shop/engine/Library/Zend/Json.php on line 93 Dass irgendwo in /kunden/385542_04157/shop/engine/Library/Zend/Json.php on line 93 eine unlogische Verknüpfung bestehen muss habe ich schon kapiert. Nur in welcher Weise und wie ist das zu beheben??? Sehe ich das richtig, dass auf /kunden/385542_04157/shop/engine/Library/Enlight/Controller/Plugins/JsonRequest/Bootstrap.php(105) verwiesen wird, dort aber nicht ist, was gebraucht wird? Für jede Hilfe bin ich sehr dankbar! An der php.ini habe ich übrigens nichts geändert, nachdem die zip-Entpackung eingerichtet wurde. Besten Dank Erik

Hallo Erik, hast du vielleicht vorher ein Plugin installiert, oder etwas an einem Plugin geändert? Eventuell mal nach und nach Plugins löschen und testen. Gruß Marco

Danke für die Antwort, Marco! Habe die herunter geladenen Plug Ins installiert, danach ging nix mehr. Kann die Plug ins ja nicht löschen, weil die Liste leer ist…

Dann wird es wahrscheinlich an einem Plugin liegen. Verschieb die Plugins mal per FTP in einen anderen Ordner und ruf dann den Plugin-Manager auf.

So, hat gedauert, aber konnte mich heute mal drum kümmern. Ich habe alle Plugins verschoben/ gelöscht. Aber der Zustand bleibt… Ich habe den kompletten Engine-Ordner ausgetauscht, tut sich auch nix. Welche alternativen Fehlerquellen wären noch denkbar???

Hallo wesup, was sagen denn jetzt die Systemvoraussetzungen? Die Meldung kann auch erzeugt werden, wenn auf dem Server wieder magic_quotes aktiv sind bzw. magic_quotes_gpc ON Sebastian

1 Like

HERRLICH!!! Das war es gewesen. Wenn es ginge würde ich dir die Füße küssen. :D:D:D Vielen, vielen Dank